Stacks
Returns all stacks.
Args: project_name_or_id: Optional name or ID of the project to filter by. stack_filter_model: Filter model used for pagination, sorting, filtering. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.
Returns: All stacks matching the filter criteria.
falsecreatedLogical Ops to use to combine filters on list methods.
andPossible values: 120Successful Response
Unauthorized
Forbidden
Not Found
Unprocessable Entity
GET /api/v1/stacks HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"index": 1,
"max_size": 1,
"total_pages": 1,
"total": 1,
"items": [
{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000"
},
"metadata": {
"components": {
"ANY_ADDITIONAL_PROPERTY": [
{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"type": "alerter",
"flavor_name": "text",
"integration": "text",
"logo_url": "text"
},
"metadata": {
"configuration": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"environment": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"secrets": [
"123e4567-e89b-12d3-a456-426614174000"
],
"labels": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"connector_resource_id": "text",
"connector": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"description": "",
"connector_type": "text",
"auth_method": "text",
"resource_types": [
"text"
],
"resource_id": "text",
"supports_instances": false,
"expires_at": "2026-01-01T00:00:00.000Z",
"expires_skew_tolerance": 1
},
"metadata": {
"configuration": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"expiration_seconds": 1,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"flavor": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"type": "alerter",
"display_name": "text",
"integration": "text",
"source": "text",
"logo_url": "text",
"is_custom": true
},
"metadata": {
"config_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"connector_type": "text",
"connector_resource_type": "text",
"connector_resource_id_attr": "text",
"docs_url": "text",
"sdk_docs_url": "text"
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}
]
},
"description": "",
"stack_spec_path": "text",
"environment": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"secrets": [
"123e4567-e89b-12d3-a456-426614174000"
],
"labels": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}
]
}Returns the requested stack.
Args: stack_id: ID of the stack. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.
Returns: The requested stack.
trueSuccessful Response
Response model for stacks.
falseUnauthorized
Forbidden
Not Found
Unprocessable Entity
GET /api/v1/stacks/{stack_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000"
},
"metadata": {
"components": {
"ANY_ADDITIONAL_PROPERTY": [
{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"type": "alerter",
"flavor_name": "text",
"integration": "text",
"logo_url": "text"
},
"metadata": {
"configuration": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"environment": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"secrets": [
"123e4567-e89b-12d3-a456-426614174000"
],
"labels": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"connector_resource_id": "text",
"connector": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"description": "",
"connector_type": "text",
"auth_method": "text",
"resource_types": [
"text"
],
"resource_id": "text",
"supports_instances": false,
"expires_at": "2026-01-01T00:00:00.000Z",
"expires_skew_tolerance": 1
},
"metadata": {
"configuration": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"expiration_seconds": 1,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"flavor": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"type": "alerter",
"display_name": "text",
"integration": "text",
"source": "text",
"logo_url": "text",
"is_custom": true
},
"metadata": {
"config_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"connector_type": "text",
"connector_resource_type": "text",
"connector_resource_id_attr": "text",
"docs_url": "text",
"sdk_docs_url": "text"
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}
]
},
"description": "",
"stack_spec_path": "text",
"environment": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"secrets": [
"123e4567-e89b-12d3-a456-426614174000"
],
"labels": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}Updates a stack.
Args: stack_id: Name of the stack. stack_update: Stack to use for the update.
Returns: The updated stack.
Update model for stacks.
Successful Response
Response model for stacks.
falseUnauthorized
Forbidden
Not Found
Unprocessable Entity
PUT /api/v1/stacks/{stack_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 353
{
"name": "text",
"description": "text",
"stack_spec_path": "text",
"components": {
"ANY_ADDITIONAL_PROPERTY": [
"123e4567-e89b-12d3-a456-426614174000"
]
},
"environment": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"labels": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"add_secrets": [
"123e4567-e89b-12d3-a456-426614174000"
],
"remove_secrets": [
"123e4567-e89b-12d3-a456-426614174000"
]
}{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000"
},
"metadata": {
"components": {
"ANY_ADDITIONAL_PROPERTY": [
{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"type": "alerter",
"flavor_name": "text",
"integration": "text",
"logo_url": "text"
},
"metadata": {
"configuration": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"environment": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"secrets": [
"123e4567-e89b-12d3-a456-426614174000"
],
"labels": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"connector_resource_id": "text",
"connector": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"description": "",
"connector_type": "text",
"auth_method": "text",
"resource_types": [
"text"
],
"resource_id": "text",
"supports_instances": false,
"expires_at": "2026-01-01T00:00:00.000Z",
"expires_skew_tolerance": 1
},
"metadata": {
"configuration": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"expiration_seconds": 1,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"flavor": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"type": "alerter",
"display_name": "text",
"integration": "text",
"source": "text",
"logo_url": "text",
"is_custom": true
},
"metadata": {
"config_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"connector_type": "text",
"connector_resource_type": "text",
"connector_resource_id_attr": "text",
"docs_url": "text",
"sdk_docs_url": "text"
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}
]
},
"description": "",
"stack_spec_path": "text",
"environment": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"secrets": [
"123e4567-e89b-12d3-a456-426614174000"
],
"labels": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}Deletes a stack.
Args: stack_id: Name of the stack.
Successful Response
Unauthorized
Forbidden
Not Found
Unprocessable Entity
DELETE /api/v1/stacks/{stack_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
No content
Last updated
Was this helpful?